sane-stv680(5)

NUME
sane-stv680 - controlor SANE pentru camerele STV680

DESCRIERE
Biblioteca sane-stv680 implementează un controlor SANE (Scanner Access Now Easy) care oferă acces la unele camere STV680. Acest controlor ar trebui să fie considerat software de calitate beta! Camerele STV680 sunt vândute sub diverse mărci, cum ar fi Aiptek. Este posibil ca acest controlor să fie sau nu compatibil cu a dvs.

Camerele care ar trebui să funcționeze cu acest controlor sunt:

Fabricant    Model           id fabricant USB  id produs USB    stare
------------------------     ----------------  -------------   ----------
AIPTEK       stv680               0x0553           0x0202       bazic
Konica       e-mini               0x04c8           0x0722       netestată
DigitalDream l'espion XS          0x1183           0x0001       netestată
Creative   WebCam Go mini         0x041e           0x4007       netestată
Pentru toate aceste camere, consultați pagina principală a controlorului (la rubrica AUTHOR) pentru a afla starea exactă a fiecărei camere. Pentru pornirea acestui controlor, verificați dacă modulul de nucleu stv680, este prezent, este eliminat sau dezactivat.
De asemenea, înainte de utilizare, activați controlorul prin editarea fișierului /etc/sane.d/dll.conf, schimbați #stv680 în stv680 (eliminați marca de comentariu). Pentru probleme cu camerele netestate, trebuie să contactați autorul. Opțiunile pe care le suportă controlorul pot fi selectate fie prin opțiuni de linie de comandă pentru programe precum scanimage(1), fie prin elemente GUI în xcam(1). Pentru ambele programe se utilizează opțiunea -B necesară pentru dimensiunea memoriei tampon. Câteva exemple de interfețe:
xcam(1)
    xcam -B
scanimage(1): pentru scrierea în mod discontinuu într-un fișier sau într-un fișier nou de fiecare dată:
    scanimage -B -d stv680:libusb:001:002 --batch=out.ppm --batch-count 5 --mode "Color RGB"
    scanimage -B -d stv680:libusb:001:002 --batch=out%d.ppm --batch-count 5 --mode "Color RGB"
Dacă aveți succes cu o cameră care nu este listată aici sau dacă observați vreun comportament ciudat, vă rugăm să raportați acest lucru responsabilului de întreținere a controlorului sau pe lista de discuții SANE. Opțiunile valide ale liniei de comandă și sintaxa acestora pot fi listate utilizând:
    scanimage --help -d stv680

Mod scanare

--mode
    selectează modul de funcționare de bază din selecția validă a camerei web. Modul de rezoluție de citire este de 8 biți, iar rezoluția de ieșire este de 24 de biți. Selectează rezoluția pentru o scanare. Camera poate face numai rezoluțiile enumerate.

--Raw
    În acest mod sunt afișate datele brute

--Color
    În acest mod, se efectuează separarea Bayer, dar nu se efectuează corecția culorilor.

--Color_RGB
    Separarea Bayer, corecția culorilor

--Color_RGB_TXT
    Separarea Bayer, corecția culorilor, se adaugă o linie de text cu data și ora

Opțiuni de îmbunătățire

--white-level-r -32..+32
    Selectează nivelul de luminozitate pentru roșu pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este -32 ... 0 ... +32 în pași de 1.

--white-level-g -32..+32
    Selectează nivelul de luminozitate pentru verde pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este -32 ... 0 ... +32 în pași de 1.

--white-level-b -32..+32
    Selectează nivelul de luminozitate pentru albastru pentru ca să fie considerat „alb”, atunci când se scanează anumite foi, prin modificarea valorii de calibrare încărcate în scaner. Scala este -32 ... 0 ... +32 în pași de 1.

FIȘIER DE CONFIGURARE
Fișierul de configurare /etc/sane.d/stv680.conf acceptă doar un singur element: numele dispozitivului care trebuie utilizat (de exemplu, usb 0x.... 0x....).

FIȘIERE

/usr/lib/sane/libsane-stv680.a
    Biblioteca statică care implementează acest controlor.

/usr/lib/sane/libsane-stv680.so
    Biblioteca partajată care implementează acest controlor (prezentă pe sistemele care acceptă încărcare dinamică).

MEDIU

SANE_DEBUG_STV680
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu controlează nivelul de depanare pentru acest controlor. De exemplu, o valoare de 128 solicită imprimarea tuturor datelor de depanare. Nivelurile mai mici reduc volumul de informații.

LIMITĂRI
Controlorul TWAIN pentru Windows are mult mai multe opțiuni decât acest controlor SANE. Cu toate acestea, acestea sunt doar ajustări software. Acest controlor implementează doar ceea ce poate admite camera web.

ERORI

O mulțime. Unele părți ale acestui controlor sunt încă în curs de dezvoltare.
    1. Unele camere netestate.
    2. Transmisia video este lentă și se oprește uneori (scanimage).
    3. Uneori 1/3 din imagine este NOK (xcam).

CONSULTAȚI ȘI
sane(7), sane-usb(5), scanimage(1), xcam(1)

AUTORI
Gerard Klaver http://gkall.hobby.nl/stv680-aiptek.html

MULȚUMIRI

Mulțumim dezvoltatorilor celorlalte programe stv680:
    modulul de nucleu STV680
    programul pencam2
    programul libghoto2(3) (camlib stv0680)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.